/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

plugins {
    `java-library`
    alias(libs.plugins.shadow)
}

tasks.build {
    finalizedBy(tasks.shadowJar)
}

dependencies {
    implementation(project(":BauSystem:BauSystem_RegionFixed"))
    implementation(project(":BauSystem:BauSystem_Main"))
    implementation(project(":BauSystem:BauSystem_15"))
    implementation(project(":BauSystem:BauSystem_18"))
    implementation(project(":BauSystem:BauSystem_19"))
    implementation(project(":BauSystem:BauSystem_20"))
    implementation(project(":BauSystem:BauSystem_21"))
}

tasks.register<DevServer>("DevBau20") {
    group = "run"
    description = "Run a 1.20 Dev Bau"
    dependsOn(":SpigotCore:shadowJar")
    dependsOn(":BauSystem:shadowJar")
    dependsOn(":SchematicSystem:shadowJar")
    template = "Bau20"
}

tasks.register<DevServer>("DevBau21") {
    group = "run"
    description = "Run a 1.21 Dev Bau"
    dependsOn(":SpigotCore:shadowJar")
    dependsOn(":BauSystem:shadowJar")
    template = "Bau21"
}
